Bug 1566166 - unable to register client to freshly installed capsule on fresh katello [NEEDINFO]
Summary: unable to register client to freshly installed capsule on fresh katello
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Registration
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: Stephen Benjamin
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 16:23 UTC by Chris Duryee
Modified: 2019-10-07 17:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:00 UTC
swadeley: needinfo? (stbenjam)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:12 UTC
Foreman Issue Tracker 23232 None None None 2018-04-11 16:24:05 UTC
Red Hat Bugzilla 1566423 None CLOSED bootstrap.py should check that domain is in correct organization/location 2019-10-21 18:13:58 UTC

Internal Links: 1566423

Description Chris Duryee 2018-04-11 16:23:10 UTC
Description of problem:

(copied from http://projects.theforeman.org/issues/23232)


If you register a brand-new client to a new capsule on a new katello, you will get this error:

Validation failed: Name must not include periods

repro steps:

    vagrant up centos7-katello-3.6
    vagrant up centos7-foreman-proxy-3.6
    vagrant up centos7 for use as test client

on katello server:

hammer ping
hammer -u admin -p changeme activation-key create --name MYAK --organization-id 1
hammer -u admin -p changeme hostgroup create --name MYHG

on client:

yum install subscription-manager (bootstrap will need it)
curl http://centos7-foreman-proxy-3-6.dhcp129-144.example.com/pub/bootstrap.py > ./bootstrap.py
python bootstrap.py -s centos7-foreman-proxy-3-6.dhcp129-144.example.com -g MYHG -a MYAK

(this will error that the HG needs an OS and location, we'll fix that)

back on katello server:

hammer -u admin -p changeme os list
hammer -u admin -p changeme location list
hammer -u admin -p changeme hostgroup list
hammer -u admin -p changeme hostgroup update --operatingsystem-id 1 --location-ids 2 --id 1

back on client again:

python bootstrap.py -s centos7-foreman-proxy-3-6.dhcp129-144.example.com -g MYHG -a MYAK --location "Default Location" --force

error!

Validation failed: Name must not include periods

production.log:

[app] [I] Started POST "/rhsm/consumers?owner=Default_Organization&activation_keys=MYAK" for 192.168.121.96 at 2018-04-11 16:10:34 +0000
[app] [I] Processing by Katello::Api::Rhsm::CandlepinProxiesController#consumer_activate as JSON
[app] [I] Parameters: {"facts"=>"[FILTERED]", "contentTags"=>[], "type"=>"system", "name"=>"client.dhcp129-144.example.com", "owner"=>"Default_Organization", "activation_keys"=>"MYAK"}
[app] [I] Current user: foreman_admin (administrator)
[app] [I] Current user: foreman_admin (administrator)
[katello/cp_proxy] [E] <Class> ActiveRecord::RecordInvalid
[katello/cp_proxy] [E] name: ["must not include periods"]
[app] [I] Completed 422 Unprocessable Entity in 808ms (Views: 0.1ms | ActiveRecord: 19.4ms)

It looks like the domain can't be found, which causes the shortname of the host to be its fqdn. Workaround:

hammer -u admin -p changeme domain update --id 1 --location-ids 2 --organization-ids 1



Version-Release number of selected component (if applicable): 6.3.0

Comment 4 pm-sat@redhat.com 2018-04-24 14:19:16 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 5 pm-sat@redhat.com 2018-06-12 16:18:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23232 has been resolved.

Comment 13 errata-xmlrpc 2019-05-14 12:37:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.